# CreatePaymentMethodCreditCard


## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**card_holder_info** | [**CreatePaymentMethodCardholderInfo**](CreatePaymentMethodCardholderInfo.md) |  | [optional] 
**card_number** | **str** | Credit card number. This field is required if &#x60;type&#x60; is set to &#x60;CreditCard&#x60;. However, for creating tokenized credit card payment methods, this field is optional if the &#x60;tokens&#x60; and &#x60;cardMaskNumber&#x60; fields are specified.  | [optional] 
**card_mask_number** | **str** | The masked card number associated with the credit card payment. This field is only required if the credit card payment method is created using tokens.  | [optional] 
**card_type** | **str** | The type of the credit card. This field is required if &#x60;type&#x60; is set to &#x60;CreditCard&#x60;.  Possible values include &#x60;Visa&#x60;, &#x60;MasterCard&#x60;, &#x60;AmericanExpress&#x60;, &#x60;Discover&#x60;, &#x60;JCB&#x60;, and &#x60;Diners&#x60;. For more information about credit card types supported by different payment gateways, see [Supported Payment Gateways](https://knowledgecenter.zuora.com/CB_Billing/M_Payment_Gateways/Supported_Payment_Gateways).  | [optional] 
**check_duplicated** | **bool** | Indicates whether the duplication check is performed when you create a new credit card payment method. The default value is &#x60;false&#x60;.  With this field set to &#x60;true&#x60;, Zuora will check all active payment methods associated with the same billing account to ensure that no duplicate credit card payment methods are created. An error is returned if a duplicate payment method is found.          The following fields are used for the duplication check:  - &#x60;cardHolderName&#x60;   - &#x60;expirationMonth&#x60;   - &#x60;expirationYear&#x60;   - &#x60;creditCardMaskNumber&#x60;. It is the masked credit card number generated by Zuora. For example:  &#x60;&#x60;&#x60;     ************1234     &#x60;&#x60;&#x60;  | [optional] 
**expiration_month** | **int** | One or two digit expiration month (1-12) of the credit card. This field is required if &#x60;type&#x60; is set to &#x60;CreditCard&#x60;. However, for creating tokenized credit card payment methods, this field is optional if the &#x60;tokens&#x60; and &#x60;cardMaskNumber&#x60; fields are specified.  | [optional] 
**expiration_year** | **int** | Four-digit expiration year of the credit card. This field is required if &#x60;type&#x60; is set to &#x60;CreditCard&#x60;. However, for creating tokenized credit card payment methods, this field is optional if the &#x60;tokens&#x60; and &#x60;cardMaskNumber&#x60; fields are specified.  | [optional] 
**mit_consent_agreement_ref** | **str** | Specifies your reference for the stored credential consent agreement that you have established with the customer. Only applicable if you set the &#x60;mitProfileAction&#x60; field.  | [optional] 
**mit_consent_agreement_src** | [**StoredCredentialProfileConsentAgreementSrc**](StoredCredentialProfileConsentAgreementSrc.md) |  | [optional] 
**mit_network_transaction_id** | **str** | Specifies the ID of a network transaction. Only applicable if you set the &#x60;mitProfileAction&#x60; field to &#x60;Persist&#x60;.  | [optional] 
**mit_profile_action** | [**StoredCredentialProfileAction**](StoredCredentialProfileAction.md) |  | [optional] 
**mit_profile_agreed_on** | **date** | The date on which the profile is agreed. The date format is &#x60;yyyy-mm-dd&#x60;.  | [optional] 
**mit_profile_type** | [**StoredCredentialProfileType**](StoredCredentialProfileType.md) |  | [optional] 
**security_code** | **str** | CVV or CVV2 security code of the credit card.  To ensure PCI compliance, this value is not stored and cannot be queried.  | [optional] 

## Example

```python
from zuora_sdk.models.create_payment_method_credit_card import CreatePaymentMethodCreditCard

# TODO update the JSON string below
json = "{}"
# create an instance of CreatePaymentMethodCreditCard from a JSON string
create_payment_method_credit_card_instance = CreatePaymentMethodCreditCard.from_json(json)
# print the JSON string representation of the object
print(CreatePaymentMethodCreditCard.to_json())

# convert the object into a dict
create_payment_method_credit_card_dict = create_payment_method_credit_card_instance.to_dict()
# create an instance of CreatePaymentMethodCreditCard from a dict
create_payment_method_credit_card_from_dict = CreatePaymentMethodCreditCard.from_dict(create_payment_method_credit_card_dict)
```
[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


