# RampMetrics


## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**description** | **str** | The short description of the ramp. | [optional] 
**discount_tcb** | **float** | The discount amount for the TCB. | [optional] 
**discount_tcv** | **float** | The discount amount for the TCV. | [optional] 
**gross_tcb** | **float** | The gross TCB value before discount charges are applied. | [optional] 
**gross_tcv** | **float** | The gross TCV value before discount charges are applied. | [optional] 
**intervals** | [**List[RampIntervalMetrics]**](RampIntervalMetrics.md) | Container for the intervals that the ramp is split into in its timeline. | [optional] 
**name** | **str** | The name of the ramp. | [optional] 
**net_tcb** | **float** | The net TCB value after discount charges are applied. | [optional] 
**net_tcv** | **float** | The net TCV value after discount charges are applied. | [optional] 
**number** | **str** | The number of the ramp. It is automaticcally generated by the billing system. | [optional] 

## Example

```python
from zuora_sdk.models.ramp_metrics import RampMetrics

# TODO update the JSON string below
json = "{}"
# create an instance of RampMetrics from a JSON string
ramp_metrics_instance = RampMetrics.from_json(json)
# print the JSON string representation of the object
print(RampMetrics.to_json())

# convert the object into a dict
ramp_metrics_dict = ramp_metrics_instance.to_dict()
# create an instance of RampMetrics from a dict
ramp_metrics_from_dict = RampMetrics.from_dict(ramp_metrics_dict)
```
[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


