# ResumeSubscriptionRequest


## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**application_order** | **List[str]** | The priority order to apply credit memos and/or unapplied payments to an invoice. Possible item values are: &#x60;CreditMemo&#x60;, &#x60;UnappliedPayment&#x60;.   **Note:**   - This field is valid only if the &#x60;applyCredit&#x60; field is set to &#x60;true&#x60;.   - If no value is specified for this field, the default priority order is used, [\&quot;CreditMemo\&quot;, \&quot;UnappliedPayment\&quot;], to apply credit memos first and then apply unapplied payments.   - If only one item is specified, only the items of the spedified type are applied to invoices. For example, if the value is &#x60;[\&quot;CreditMemo\&quot;]&#x60;, only credit memos are used to apply to invoices. | [optional] 
**apply_credit** | **bool** | If the value is true, the credit memo or unapplied payment on the order account will be automatically applied to the invoices generated by this order. The credit memo generated by this order will not be automatically applied to any invoices.   **Note:** This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. | [optional] 
**apply_credit_balance** | **bool** | Whether to automatically apply a credit balance to an invoice.   If the value is &#x60;true&#x60;, the credit balance is applied to the invoice. If the value is &#x60;false&#x60;, no action is taken.    To view the credit balance adjustment, retrieve the details of the invoice using the Get Invoices method.   Prerequisite: &#x60;invoice&#x60; must be &#x60;true&#x60;.    **Note:**    - If you are using the field &#x60;invoiceCollect&#x60; rather than the field &#x60;invoice&#x60;, the &#x60;invoiceCollect&#x60; value must be &#x60;true&#x60;.   - This field is deprecated if you have the Invoice Settlement feature enabled. | [optional] 
**booking_date** | **date** | The booking date that you want to set for the amendment contract when you resume the subscription. If &#x60;extendsTerm&#x60; is &#x60;true&#x60;, which means you also extend the term, then this field is also the booking date for the Terms and Conditions amendment contract.   This field must be in the &#x60;yyyy-mm-dd&#x60; format. The default value of this field is the current date when you make the API call.  | [optional] 
**collect** | **bool** | Collects an automatic payment for a subscription. The collection generated in this operation is only for this subscription, not for the entire customer account.   If the value is &#x60;true&#x60;, the automatic payment is collected. If the value is &#x60;false&#x60;, no action is taken.   Prerequisite: The &#x60;invoice&#x60; or &#x60;runBilling&#x60; field must be &#x60;true&#x60;.    **Note**: This field is only available if you set the &#x60;zuora-version&#x60; request header to &#x60;196.0&#x60; or later. | [optional] 
**contract_effective_date** | **date** | The date when the customer notifies you that they want to resume their subscription. | [optional] 
**credit_memo_reason_code** | **str** | A code identifying the reason for the credit memo transaction that is generated by the request. The value must be an existing reason code. If you do not pass the field or pass the field with empty value, Zuora uses the default reason code. | [optional] 
**document_date** | **date** | The date of the billing document, in &#x60;yyyy-mm-dd&#x60; format. It represents the invoice date for invoices, credit memo date for credit memos, and debit memo date for debit memos.   - If this field is specified, the specified date is used as the billing document date.   - If this field is not specified, the date specified in the &#x60;targetDate&#x60; is used as the billing document date. | [optional] 
**extends_term** | **bool** | Whether to extend the subscription term by the length of time the suspension is in effect.   Values: &#x60;true&#x60;, &#x60;false&#x60;. | [optional] 
**invoice** | **bool** | **Note:** This field has been replaced by the &#x60;runBilling&#x60; field. The &#x60;invoice&#x60; field is only available for backward compatibility.   Creates an invoice for a subscription. The invoice generated in this operation is only for this subscription, not for the entire customer account.   If the value is &#x60;true&#x60;, an invoice is created. If the value is &#x60;false&#x60;, no action is taken. The default value is &#x60;false&#x60;.   This field is in Zuora REST API version control. Supported minor versions are &#x60;196.0&#x60; and &#x60;207.0&#x60;. To use this field in the method, you must set the &#x60;zuora-version&#x60; parameter to the minor version number in the request header.  | [optional] 
**invoice_collect** | **bool** | **Note:** This field has been replaced by the &#x60;invoice&#x60; field  and the &#x60;collect&#x60; field. &#x60;invoiceCollect&#x60; is available only for backward  compatibility.    If &#x60;true&#x60;, an invoice is generated and payment collected automatically during  the subscription process. If &#x60;false&#x60;, no invoicing or payment  takes place.  The invoice generated in this operation is only for this subscription,  not for the entire customer account.    **Note**: This field is only available if you set the &#x60;zuora-version&#x60; request header to &#x60;186.0&#x60;, &#x60;187.0&#x60;, &#x60;188.0&#x60;, or &#x60;189.0&#x60;. | [optional] 
**invoice_target_date** | **date** | **Note:** This field has been replaced by the &#x60;targetDate&#x60; field. The &#x60;invoiceTargetDate&#x60; field is only available for backward compatibility.   Date through which to calculate charges if an invoice is generated, as yyyy-mm-dd. Default is current date.   This field is in Zuora REST API version control. Supported minor versions are &#x60;207.0&#x60; and earlier.  | [optional] 
**order_date** | **date** | The date when the order is signed. If no additinal contractEffectiveDate is provided, this order will use this order date as the contract effective date.  This field must be in the &#x60;yyyy-mm-dd&#x60; format.  This field is required for Orders customers only, not applicable to Orders Harmonization customers. | [optional] 
**resume_periods** | **str** | The length of the period used to specify when the subscription is resumed. The subscription resumption takes effect after a specified period based on the suspend date or today&#39;s date. You must use this field together with the &#x60;resumePeriodsType&#x60; field to specify the period.   **Note:** This field is only applicable when the &#x60;suspendPolicy&#x60; field is set to &#x60;FixedPeriodsFromToday&#x60; or &#x60;FixedPeriodsFromSuspendDate&#x60;. | [optional] 
**resume_periods_type** | **str** | The period type used to define when the subscription resumption takes effect. The subscription resumption takes effect after a specified period based on the suspend date or today&#39;s date. You must use this field together with the &#x60;resumePeriods&#x60; field to specify the period.   Values: &#x60;Day&#x60;, &#x60;Week&#x60;, &#x60;Month&#x60;, &#x60;Year&#x60;   **Note:** This field is only applicable when the &#x60;suspendPolicy&#x60; field is set to &#x60;FixedPeriodsFromToday&#x60; or &#x60;FixedPeriodsFromSuspendDate&#x60;. | [optional] 
**resume_policy** | **str** | Resume methods. Specify a way to resume a subscription.   Values:   * &#x60;Today&#x60;: The subscription resumption takes effect on today&#39;s date.   * &#x60;FixedPeriodsFromSuspendDate&#x60;: The subscription resumption takes effect after a specified period based on the suspend date. You must specify the &#x60;resumePeriods&#x60; and &#x60;resumePeriodsType&#x60; fields to define the period.   * &#x60;SpecificDate&#x60;: The subscription resumption takes effect on a specific date. You must define the specific date in the &#x60;resumeSpecificDate&#x60; field.   * &#x60;FixedPeriodsFromToday&#x60;: The subscription resumption takes effect after a specified period based on the today&#39;s date. You must specify the &#x60;resumePeriods&#x60; and &#x60;resumePeriodsType&#x60; fields to define the period.  * &#x60;suspendDate&#x60;: The subscription resumption takes effect on the date of suspension of the subscription. | 
**resume_specific_date** | **date** | A specific date when the subscription resumption takes effect, in the format yyyy-mm-dd.   **Note:** This field is only applicable only when the &#x60;resumePolicy&#x60; field is set to &#x60;SpecificDate&#x60;.   The value should not be earlier than the subscription suspension date. | [optional] 
**run_billing** | **bool** | Creates an invoice for a subscription. If you have the Invoice Settlement feature enabled, a credit memo might also be created based on the [invoice and credit memo generation rule](https://knowledgecenter.zuora.com/CB_Billing/Invoice_Settlement/Credit_and_Debit_Memos/Rules_for_Generating_Invoices_and_Credit_Memos).      The billing documents generated  in this operation is only for this subscription, not for the entire  customer account.    Possible values:   - &#x60;true&#x60;: An invoice is created. If you have the Invoice Settlement feature enabled, a credit memo might also be created.    - &#x60;false&#x60;: No invoice is created.    **Note:** This field is in Zuora REST API version control. Supported  minor versions are &#x60;211.0&#x60; or later. To use this field in the method,  you must set the &#x60;zuora-version&#x60; parameter to the minor version number  in the request header. | [optional] 
**target_date** | **date** | Date through which to calculate charges if an invoice or a credit memo is generated, as  yyyy-mm-dd. Default is current date.    **Note:** The credit memo is only available if you have the Invoice Settlement feature enabled.    This field is in Zuora REST API version control. Supported minor  versions are &#x60;211.0&#x60; and later. To use this field in the method, you  must set the  &#x60;zuora-version&#x60; parameter to the minor version number in  the request header. | [optional] 

## Example

```python
from zuora_sdk.models.resume_subscription_request import ResumeSubscriptionRequest

# TODO update the JSON string below
json = "{}"
# create an instance of ResumeSubscriptionRequest from a JSON string
resume_subscription_request_instance = ResumeSubscriptionRequest.from_json(json)
# print the JSON string representation of the object
print(ResumeSubscriptionRequest.to_json())

# convert the object into a dict
resume_subscription_request_dict = resume_subscription_request_instance.to_dict()
# create an instance of ResumeSubscriptionRequest from a dict
resume_subscription_request_from_dict = ResumeSubscriptionRequest.from_dict(resume_subscription_request_dict)
```
[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


